Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.enterprise.servlet
Class WPVSHandler

    java.lang.Object
      org.deegree.enterprise.servlet.AbstractOWServiceHandler
          org.deegree.enterprise.servlet.WPVSHandler

All Implemented Interfaces:
  ServiceDispatcher

    public class WPVSHandler

extends AbstractOWServiceHandler

Handler for the Web Perspective View Service (WPVS).

Since:
  2.0
Version:
  2.0, $Revision: 23585 $, $Date: 2010-04-13 14:07:18 +0200 (Di, 13. Apr 2010) $
Author:
  Ugo Taddei, last edited by: $Author: aschmitz $

Constructor Summary
`WPVSHandler()`

Method Summary
`void` | `perform(OGCWebServiceRequest request, javax.servlet.http.HttpServletResponse httpResponse)` Performs the passed OGCWebServiceRequest by accessing service from the pool and passing the request to it

Methods inherited from class org.deegree.enterprise.servlet.AbstractOWServiceHandler
`sendException, sendException, sendExceptionReport`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WPVSHandler

    public WPVSHandler()

Method Detail

### perform

    public void perform(OGCWebServiceRequest request,
                        javax.servlet.http.HttpServletResponse httpResponse)
                 throws ServiceException,
                        OGCWebServiceException

  Performs the passed OGCWebServiceRequest by accessing service from the pool and passing the request to it

  Parameters:
    `request` - the incoming web service request
    `httpResponse` - the outgoing web serivce response
  Throws:
    `ServiceException`
    `OGCWebServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org